Index: /trunk/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 332)
@@ -2311,9 +2311,5 @@
       for( UInt uiSDC=0; uiSDC<=uiUseSDC; uiSDC++ )
       {
-#if FIX_SDC_ENC_C0143
         for( UInt uiRes = 0; uiRes<=uiSDC; uiRes++ )
-#else
-        for( UInt uiRes = 0; uiRes<=uiUseSDC; uiRes++ )
-#endif
         {
 #endif
@@ -2909,29 +2905,21 @@
  * \returns Void
  */
+
+Void TEncSearch::xMergeEstimation( TComDataCU*     pcCU,
+                                 TComYuv*        pcYuvOrg,
+                                 Int             iPUIdx,
+                                 UInt&           uiInterDir,
+                                 TComMvField*    pacMvField,
+                                 UInt&           uiMergeIndex,
+                                 UInt&           ruiCost
 #if CU_BASED_MRG_CAND_LIST
-#if LG_RESTRICTEDRESPRED_M24766
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, TComYuv* rpcResiPredYuv, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost, TComMvField* cMvFieldNeighbours, UChar* uhInterDirNeighbours, Int& numValidMergeCand )
-#else
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost, TComMvField* cMvFieldNeighbours, UChar* uhInterDirNeighbours, Int& numValidMergeCand )
-#endif
-#else
-#if LG_RESTRICTEDRESPRED_M24766
-#if MERL_VSP_C0152 || MTK_MDIVRP_C0138
-#if !MTK_MDIVRP_C0138
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, TComYuv* rpcResiPredYuv, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost, Int* iVSPIndexTrue )
-#endif
-#if !MERL_VSP_C0152
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost )
-#endif
-#if MERL_VSP_C0152 && MTK_MDIVRP_C0138
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost, Int* iVSPIndexTrue  )
-#endif
-#else
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, TComYuv* rpcResiPredYuv, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost )
-#endif
-#else
-Void TEncSearch::xMergeEstimation( TComDataCU* pcCU, TComYuv* pcYuvOrg, Int iPUIdx, UInt& uiInterDir, TComMvField* pacMvField, UInt& uiMergeIndex, UInt& ruiCost )
-#endif
-#endif
+                                 , TComMvField* cMvFieldNeighbours,  
+                                 UChar* uhInterDirNeighbours,
+                                 Int& numValidMergeCand
+#endif
+#if MERL_VSP_C0152
+                                 , Int* iVSPIndexTrue
+#endif
+                                 )
 {
 #if !CU_BASED_MRG_CAND_LIST
@@ -2985,8 +2973,4 @@
   const int maxNumMergeCand = MRG_MAX_NUM_CANDS_SIGNALED + ( pcCU->getSlice()->getSPS()->getMultiviewMvPredMode() ? 1 : 0 );
 #endif
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Int iPUResiPredShift[4];
-  Int iLastAddResiShift = -1000;
-#endif
   ruiCost = MAX_UINT;
   for( UInt uiMergeCand = 0; uiMergeCand < numValidMergeCand; ++uiMergeCand )
@@ -3014,33 +2998,4 @@
         }
         pcCU->setVSPIndexSubParts( iVSPIdx, uiAbsPartIdx, iPUIdx, pcCU->getDepth( uiAbsPartIdx ) );
-      }
-#endif
-#if LG_RESTRICTEDRESPRED_M24766  && !MTK_MDIVRP_C0138
-      Int iAddResiShift;
-      UInt uiPartAddr;
-      Int iRoiWidth, iRoiHeight;
-
-      pcCU->getPartIndexAndSize( iPUIdx, uiPartAddr, iRoiWidth, iRoiHeight );
-      iAddResiShift = pcCU->getResiPredMode(uiPartAddr);
-      iAddResiShift = (pcCU->getSlice()->getPPS()->getUseWP() || pcCU->getInterDir(uiPartAddr) != 3) ? (iAddResiShift >= 0 ? 0 : -1) : (iAddResiShift >= 0 ? 1 - iAddResiShift : -1);
-
-      if( pcCU->getResPredFlag( 0 ))
-      { // subtract residual prediction from original in motion search
-        if(iLastAddResiShift != iAddResiShift)
-        {
-          //add subtracted residual last time
-          if(iLastAddResiShift >= 0)
-          {
-            iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = iLastAddResiShift;
-            pcYuvOrg->add(iPUResiPredShift, ePartSize, rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-          }
-          //subtract residual
-          if(iAddResiShift >= 0)
-          {
-            iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = iAddResiShift;
-            pcYuvOrg->add(iPUResiPredShift, ePartSize, rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ), true );
-          }
-          iLastAddResiShift = iAddResiShift;
-        }
       }
 #endif
@@ -3066,11 +3021,4 @@
     }
   }
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  if( pcCU->getResPredFlag( 0 ) && iLastAddResiShift >= 0)
-  {
-    iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = iLastAddResiShift;
-    pcYuvOrg->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-  }
-#endif
 }
 
@@ -3085,9 +3033,5 @@
  */
 #if AMP_MRG
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-Void TEncSearch::predInterSearch( TComDataCU* pcCU, TComYuv* pcOrgYuv, TComYuv* rpcResiPredYuv, TComYuv*& rpcPredYuv, TComYuv*& rpcResiYuv, TComYuv*& rpcRecoYuv, Bool bUseRes, Bool bUseMRG )
-#else
 Void TEncSearch::predInterSearch( TComDataCU* pcCU, TComYuv* pcOrgYuv, TComYuv*& rpcPredYuv, TComYuv*& rpcResiYuv, TComYuv*& rpcRecoYuv, Bool bUseRes, Bool bUseMRG)
-#endif
 #else
 Void TEncSearch::predInterSearch( TComDataCU* pcCU, TComYuv* pcOrgYuv, TComYuv*& rpcPredYuv, TComYuv*& rpcResiYuv, TComYuv*& rpcRecoYuv, Bool bUseRes )
@@ -3188,7 +3132,4 @@
     for (Int iNumRef=0; iNumRef < MAX_NUM_REF; iNumRef++) uiCostTempL0[iNumRef] = MAX_UINT;
     UInt          uiBitsTempL0[MAX_NUM_REF];
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-    Int iPUResiPredShift[4] = {0, 0, 0, 0};
-#endif
     xGetBlkBits( ePartSize, pcCU->getSlice()->isInterP(), iPartIdx, uiLastMode, uiMbBits);
     
@@ -3209,7 +3150,4 @@
     {
 #endif
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-      Bool bLastResiFlag = false;
-#endif
 
     //  Uni-directional prediction
@@ -3220,21 +3158,4 @@
       for ( Int iRefIdxTemp = 0; iRefIdxTemp < pcCU->getSlice()->getNumRefIdx(eRefPicList); iRefIdxTemp++ )
       {
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-        if( pcCU->getResPredFlag( 0 ))
-        {
-          if(pcCU->getSlice()->getViewId() == pcCU->getSlice()->getRefViewId(eRefPicList, iRefIdxTemp))
-          { // subtract residual prediction from original in motion search
-            if(!bLastResiFlag)
-              pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ), true );
-            bLastResiFlag = true;
-          }
-          else
-          {
-            if(bLastResiFlag)
-              pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-            bLastResiFlag = false;
-          }
-        }
-#endif
         uiBitsTemp = uiMbBits[iRefList];
         if ( pcCU->getSlice()->getNumRefIdx(eRefPicList) > 1 )
@@ -3394,16 +3315,7 @@
       }
     }
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-    if( pcCU->getResPredFlag( 0 ) && bLastResiFlag)
-    { // subtract residual prediction from original in motion search
-      pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-    }
-#endif
     //  Bi-directional prediction
     if ( pcCU->getSlice()->isInterB() )
     {
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-      Int iLastAddResiShift = -1000;
-#endif
       cMvBi[0] = cMv[0];            cMvBi[1] = cMv[1];
       iRefIdxBi[0] = iRefIdx[0];    iRefIdxBi[1] = iRefIdx[1];
@@ -3499,35 +3411,4 @@
 #else
           uiBitsTemp += m_auiMVPIdxCost[aaiMvpIdxBi[iRefList][iRefIdxTemp]][AMVP_MAX_NUM_CANDS];
-#endif
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-          Int iAddResiShift = -1, iPredFrom = 0;
-          Int iBestRefIdx = pcCU->getCUMvField(eRefPicList == REF_PIC_LIST_0 ? REF_PIC_LIST_1 : REF_PIC_LIST_0)->getRefIdx(uiPartAddr);
-
-          iPredFrom = iBestRefIdx >= 0 ? 3 : 1;
-          if(iBestRefIdx >= 0 && pcCU->getSlice()->getViewId() == pcCU->getSlice()->getRefViewId(eRefPicList == REF_PIC_LIST_0 ? REF_PIC_LIST_1 : REF_PIC_LIST_0, iBestRefIdx))
-            iAddResiShift++;
-          if(pcCU->getSlice()->getViewId() == pcCU->getSlice()->getRefViewId(eRefPicList, iRefIdxTemp))
-            iAddResiShift++;
-          iAddResiShift = (pcCU->getSlice()->getPPS()->getUseWP() || iPredFrom != 3) ? (iAddResiShift >= 0 ? 0 : -1) : (iAddResiShift >= 0 ? 1-iAddResiShift : -1);
-
-          if( pcCU->getResPredFlag( 0 ) )
-          {
-            if(iLastAddResiShift != iAddResiShift)
-            {
-              //add substracted residual last time
-              if(iLastAddResiShift >= 0 )
-              {
-                iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = iLastAddResiShift;
-                pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-              }
-              //substract residual
-              if(iAddResiShift >= 0)
-              {
-                iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = iAddResiShift;
-                pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ), true );
-              }
-              iLastAddResiShift = iAddResiShift;
-            }
-          }
 #endif
           // call ME
@@ -3581,11 +3462,4 @@
         }
       } // for loop-iter
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-      if( pcCU->getResPredFlag( 0 ) && iLastAddResiShift >= 0)
-      {
-        iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = iLastAddResiShift;
-        pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-      }
-#endif
     } // if (B_SLICE)
 #if ZERO_MVD_EST
@@ -3796,21 +3670,6 @@
       if (bTestNormalMC)
       {
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-        Int iAddResiShift = pcCU->getResiPredMode(uiPartAddr);
-        iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = \
-          (pcCU->getSlice()->getPPS()->getUseWP() || pcCU->getInterDir(uiPartAddr) != 3)? (iAddResiShift >= 0 ? 0 : -1) : (iAddResiShift >= 0 ? 1-iAddResiShift : -1);
-        if(pcCU->getResPredFlag(0) && iAddResiShift >= 0)
-        {
-          pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ), true);
-        }
-#endif
         xGetInterPredictionError( pcCU, pcOrgYuv, iPartIdx, uiMEError, m_pcEncCfg->getUseHADME() );
         uiMECost = uiMEError + m_pcRdCost->getCost( uiMEBits );
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-        if(pcCU->getResPredFlag(0) && iAddResiShift >= 0)
-        {
-          pcOrgYuv->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcResiPredYuv, pcCU->getWidth( 0 ), pcCU->getHeight( 0 ));
-        }
-#endif
       }
 #else
@@ -3827,35 +3686,15 @@
       // find Merge result
       UInt uiMRGCost = MAX_UINT;
+
+
+xMergeEstimation( pcCU, pcOrgYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost
 #if CU_BASED_MRG_CAND_LIST
-#if LG_RESTRICTEDRESPRED_M24766
-      xMergeEstimation( pcCU, pcOrgYuv, rpcResiPredYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand);
-#else
-      xMergeEstimation( pcCU, pcOrgYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand);
-#endif
-#else
-#if LG_RESTRICTEDRESPRED_M24766
-#if MERL_VSP_C0152 || MTK_MDIVRP_C0138
-
-#if !MTK_MDIVRP_C0138
-      xMergeEstimation( pcCU, pcOrgYuv, rpcResiPredYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost,  iVSPIndexTrue );
-#endif
-
-#if !MERL_VSP_C0152
-      xMergeEstimation( pcCU, pcOrgYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost );
-#endif
-
-#if MERL_VSP_C0152 && MTK_MDIVRP_C0138
-      xMergeEstimation( pcCU, pcOrgYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost,  iVSPIndexTrue );
-#endif
-
-#else
-      xMergeEstimation( pcCU, pcOrgYuv, rpcResiPredYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost );
-#endif
-
-
-#else
-      xMergeEstimation( pcCU, pcOrgYuv, iPartIdx, uiMRGInterDir, cMRGMvField, uiMRGIndex, uiMRGCost );
-#endif
-#endif
+                 , cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand,
+#endif
+#if MERL_VSP_C0152
+                 , iVSPIndexTrue
+#endif
+        );
+
       if ( uiMRGCost < uiMECost )
       {
@@ -4775,7 +4614,4 @@
   UInt      uiWidth      = pcCU->getWidth ( 0 );
   UInt      uiHeight     = pcCU->getHeight( 0 );
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-  Int       iPUResiPredShift[4];
-#endif
   //  No residual coding : SKIP mode
   if ( ePredMode == MODE_SKIP && bSkipRes )
@@ -4785,23 +4621,9 @@
     pcYuvPred->copyToPartYuv( rpcYuvRec, 0 );
     
-#if MTK_MDIVRP_C0138
+#if H3D_IVRP
     if (pcCU->getMergeFlag(0) && pcCU->getMergeIndex(0)==0 && pcCU->getResPredAvail(0))
     {
       rpcYuvRec->clip( uiWidth, uiHeight );
     }
-#else
-#if H3D_IVRP
-    // add residual prediction
-    if( pcCU->getResPredFlag( 0 ) )
-    {
-#if LG_RESTRICTEDRESPRED_M24766
-      pcCU->getPUResiPredShift(iPUResiPredShift, 0);
-      rpcYuvRec->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcYuvResPrd, uiWidth, uiHeight );
-#else
-      rpcYuvRec->add( rpcYuvResPrd, uiWidth, uiHeight );
-#endif
-      rpcYuvRec->clip( uiWidth, uiHeight );
-    }
-#endif
 #endif
 
@@ -4853,7 +4675,4 @@
       );
 #endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    m_pcEntropyCoder->encodeResPredFlag( pcCU, 0, 0, true );
-#endif
 #if HHI_MPI
     }
@@ -4922,22 +4741,5 @@
   else
   {
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-    iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = 0;
-    rpcYuvResi->subtract(iPUResiPredShift, pcCU->getPartitionSize(0), pcYuvOrg, pcYuvPred, 0, uiWidth );
-#else
   rpcYuvResi->subtract( pcYuvOrg, pcYuvPred, 0, uiWidth );
-#endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    // subtract residual prediction
-    if( pcCU->getResPredFlag( 0 ) )
-    {
-#if LG_RESTRICTEDRESPRED_M24766
-      pcCU->getPUResiPredShift(iPUResiPredShift, 0);
-      rpcYuvResi->subtract(iPUResiPredShift, pcCU->getPartitionSize(0), rpcYuvResi, rpcYuvResPrd, 0, uiWidth );
-#else
-      rpcYuvResi->subtract( rpcYuvResi, rpcYuvResPrd, 0, uiWidth );
-#endif
-    }
-#endif
   }
 #else
@@ -5134,22 +4936,4 @@
 #endif
   }
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  // add residual prediction
-  if( pcCU->getResPredFlag( 0 ) )
-  {
-    pcYuvPred->copyToPartYuv( rpcYuvRec, 0 );
-#if LG_RESTRICTEDRESPRED_M24766
-    pcCU->getPUResiPredShift(iPUResiPredShift, 0);
-    rpcYuvRec->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcYuvResPrd,   uiWidth, uiHeight );
-    iPUResiPredShift[0] = iPUResiPredShift[1] = iPUResiPredShift[2] = iPUResiPredShift[3] = 0;
-    rpcYuvRec->add(iPUResiPredShift, pcCU->getPartitionSize(0), rpcYuvResiBest, uiWidth, uiHeight );
-#else
-    rpcYuvRec->add( rpcYuvResPrd,   uiWidth, uiHeight );
-    rpcYuvRec->add( rpcYuvResiBest, uiWidth, uiHeight );
-#endif
-    rpcYuvRec->clip( uiWidth, uiHeight );
-  }
-  else
-#endif
   rpcYuvRec->addClip ( pcYuvPred, rpcYuvResiBest, 0, uiWidth );
   
@@ -6170,7 +5954,4 @@
       );
 #endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    m_pcEntropyCoder->encodeResPredFlag( pcCU, 0, 0, true );
-#endif
     ruiBits += m_pcEntropyCoder->getNumberOfWrittenBits();
   }
@@ -6196,7 +5977,4 @@
 #endif
       );
-#endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    m_pcEntropyCoder->encodeResPredFlag( pcCU, 0, 0, true );
 #endif
 #if HHI_MPI
@@ -6534,10 +6312,4 @@
     Int iFullDeltaDC2 = riDeltaDC2;
 
-#if HHI_DMM_DELTADC_Q1_C0034
-#else
-    xDeltaDCQuantScaleDown( pcCU, iFullDeltaDC1 );
-    xDeltaDCQuantScaleDown( pcCU, iFullDeltaDC2 );
-#endif
-
     Dist uiBestDist     = RDO_DIST_MAX;
     UInt  uiBestQStepDC1 = 0;
@@ -6551,5 +6323,4 @@
     uiDeltaDC2Max += (uiDeltaDC2Max>>1);
 
-#if HHI_DMM_DELTADC_Q1_C0034
     // limit search range to [0, IBDI_MAX]
     if( iFullDeltaDC1 <  0 && uiDeltaDC1Max >                abs(iPredDC1) ) { uiDeltaDC1Max =                abs(iPredDC1); }
@@ -6698,68 +6469,8 @@
       }
     }
-#else
-    for( UInt uiQStepDC1 = 1; uiQStepDC1 <= uiDeltaDC1Max; uiQStepDC1++  )
-    {
-      Int iLevelDeltaDC1 = (Int)(uiQStepDC1) * (Int)(( iFullDeltaDC1 < 0 ) ? -1 : 1);
-      xDeltaDCQuantScaleUp( pcCU, iLevelDeltaDC1 );
-
-      Int iTestDC1 = Clip( iPredDC1 + iLevelDeltaDC1 );
-      for( UInt uiQStepDC2 = 1; uiQStepDC2 <= uiDeltaDC2Max; uiQStepDC2++  )
-      {
-        Int iLevelDeltaDC2 = (Int)(uiQStepDC2) * (Int)(( iFullDeltaDC2 < 0 ) ? -1 : 1);
-        xDeltaDCQuantScaleUp( pcCU, iLevelDeltaDC2 );
-
-        Int iTestDC2 = Clip( iPredDC2 + iLevelDeltaDC2 );
-
-        assignWedgeDCs2Pred( pcWedgelet, piPredic, uiStride, iTestDC1, iTestDC2 );
-        
-        Dist uiActDist = RDO_DIST_MAX;
-#if SAIT_VSO_EST_A0033
-        if ( m_pcRdCost->getUseEstimatedVSD() )
-        {          
-          TComPicYuv* pcVirRec = m_pcRdCost->getVideoRecPicYuv();
-          TComPicYuv* pcVirOrg = m_pcRdCost->getDepthPicYuv();
-          uiActDist = m_pcRdCost->getDistPart( piPredic, uiStride, piOrig, uiStride, pcVirRec->getLumaAddr(pcCU->getAddr(),pcCU->getZorderIdxInCU()), pcVirOrg->getLumaAddr(pcCU->getAddr(),pcCU->getZorderIdxInCU()), pcVirRec->getStride(), uiWidth, uiHeight );
-#if LGE_WVSO_A0119
-          if ( m_pcRdCost->getUseWVSO() )
-          {    
-            Int iDWeight = m_pcRdCost->getDWeight() * m_pcRdCost->getDWeight();
-            Int iVSDWeight = m_pcRdCost->getVSDWeight() * m_pcRdCost->getVSDWeight();
-            Dist iD = (Dist) m_pcRdCost->getDistPart( piPredic, uiStride, piOrig, uiStride, uiWidth, uiHeight, false, DF_SAD );
-            uiActDist = (iDWeight * iD + iVSDWeight * (Dist) uiActDist) / ( iDWeight + iVSDWeight);
-          }
-#endif // LGE_WVSO_A0119
-        }
-        else       
-#endif // SAIT_VSO_EST_A0033
-        {        
-          uiActDist = m_pcRdCost->getDistVS( pcCU, 0, piPredic, uiStride,  piOrig, uiStride, uiWidth, uiHeight, false, 0 );
-#if LGE_WVSO_A0119
-          if ( m_pcRdCost->getUseWVSO() )
-          {    
-            Int iDWeight = m_pcRdCost->getDWeight() * m_pcRdCost->getDWeight();
-            Int iVSOWeight = m_pcRdCost->getVSOWeight() * m_pcRdCost->getVSOWeight();
-            Dist iD = (Dist) m_pcRdCost->getDistPart( piPredic, uiStride, piOrig, uiStride, uiWidth, uiHeight, false, DF_SAD );
-            uiActDist = (iDWeight * iD + iVSOWeight * (Dist) uiActDist) / ( iDWeight + iVSOWeight);
-          }
-#endif // LGE_WVSO_A0119
-        }
-
-        if( uiActDist < uiBestDist || uiBestDist == RDO_DIST_MAX )
-        {
-          uiBestDist     = uiActDist;
-          uiBestQStepDC1 = uiQStepDC1;
-          uiBestQStepDC2 = uiQStepDC2;
-        }
-      }
-    }
-#endif
+
     iFullDeltaDC1 = (Int)(uiBestQStepDC1) * (Int)(( iFullDeltaDC1 < 0 ) ? -1 : 1);
     iFullDeltaDC2 = (Int)(uiBestQStepDC2) * (Int)(( iFullDeltaDC2 < 0 ) ? -1 : 1);
-#if HHI_DMM_DELTADC_Q1_C0034
-#else
-    xDeltaDCQuantScaleUp( pcCU, iFullDeltaDC1 );
-    xDeltaDCQuantScaleUp( pcCU, iFullDeltaDC2 );
-#endif
+
     riDeltaDC1 = iFullDeltaDC1;
     riDeltaDC2 = iFullDeltaDC2;
@@ -6767,9 +6478,4 @@
 #endif
 
-#if HHI_DMM_DELTADC_Q1_C0034
-#else
-  xDeltaDCQuantScaleDown( pcCU, riDeltaDC1 );
-  xDeltaDCQuantScaleDown( pcCU, riDeltaDC2 );
-#endif
 }
 #endif
Index: /trunk/source/Lib/TLibEncoder/TEncSearch.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSearch.h	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncSearch.h	(revision 332)
@@ -196,7 +196,4 @@
   Void predInterSearch          ( TComDataCU* pcCU,
                                   TComYuv*    pcOrgYuv,
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-                                  TComYuv*    rpcResiPredYuv,
-#endif
                                   TComYuv*&   rpcPredYuv,
                                   TComYuv*&   rpcResiYuv,
@@ -501,7 +498,4 @@
   Void xMergeEstimation           ( TComDataCU*     pcCU,
                                     TComYuv*        pcYuvOrg,
-#if LG_RESTRICTEDRESPRED_M24766 && !MTK_MDIVRP_C0138
-                                    TComYuv*        rpcResiPredYuv, 
-#endif
                                     Int             iPartIdx,
                                     UInt&           uiInterDir,
Index: /trunk/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 332)
@@ -1193,5 +1193,5 @@
     }
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     rpcPic->setReduceBitsFlag(true);
 #endif
@@ -1235,5 +1235,5 @@
     }
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     rpcPic->setReduceBitsFlag(false);
 #endif
Index: /trunk/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 331)
+++ /trunk/source/Lib/TLibEncoder/TEncTop.cpp	(revision 332)
@@ -703,5 +703,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   m_cSPS.setUseQTLPC( m_bUseQTLPC );
 #endif
Index: /trunk/source/Lib/TLibExtractor/TExtrTop.cpp
===================================================================
--- /trunk/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 331)
+++ /trunk/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 332)
@@ -79,5 +79,5 @@
      TComRPSList cRPS;
      cSPS.setRPSList( &cRPS );
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
 #if VIDYO_VPS_INTEGRATION
      m_cEntropyDecoder.decodeSPS( &cSPS, m_cVPS.getDepthFlag(uiLayerId) );
